program cube
  implicit none
  integer,parameter::iterations=10
  integer::i
  real::x
  do i=1,iterations
    x=i
    write(*,*) i,x,intCube(i),realCube(x)
  enddo

contains
  integer function intCube(number)
    implicit none
    integer, intent(in)::number
    intCube=number*number*number
  endfunction intCube

  real function realCube(number)
    implicit none
    real,intent(in)::number
    realCube=number*number*number
  endfunction realcube
end program cube 
